Bug 238274 - firefox does not open (fc7test4)
firefox does not open (fc7test4)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-28 13:34 EDT by Harry Bock
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 11:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sh -x firefox output (1.34 KB, text/plain)
2007-04-28 15:26 EDT, Harry Bock
no flags Details
strace output (229.76 KB, application/x-bzip2)
2007-04-28 16:00 EDT, Harry Bock
no flags Details

  None (edit)
Description Harry Bock 2007-04-28 13:34:05 EDT
Description of problem:
Firefox does not open all the way - if I run it in a terminal,
it asks to restore or create a new session, then just hangs there
(no segfault, no errors, nothing to stderr). 

I wish I could give better information, but there are no traces as
the application doesn't terminate unless forced to.

Version-Release number of selected component (if applicable):
2.0.0.3-4.fc7.x86_64

How reproducible:
Always; just open firefox.

Steps to Reproduce:
1. Boot system
2. Log in
3. Start firefox

Actual results:
Beyond asking to restore or create a new session, nothing happens, but
process stays alive.

Expected results:
Firefox opens to the user's selected home page.

Additional info:
This is a fresh install of FC7 test 4.
Comment 1 Christopher Aillon 2007-04-28 13:49:53 EDT
Hm.  Haven't ever seen anything like this before...

Can you attach the output of `sh -x firefox`?
Comment 2 Harry Bock 2007-04-28 15:26:21 EDT
Created attachment 153719 [details]
sh -x firefox output

It is extremely strange indeed. The i686 version direct from mozilla works fine
(with a few SELinux denials, but that isn't very important right now).
Comment 3 Christopher Aillon 2007-04-28 15:49:58 EDT
That's all normal... how about strace output?

strace -o firefox.log firefox
Comment 4 Harry Bock 2007-04-28 16:00:23 EDT
Created attachment 153721 [details]
strace output

Here's the strace log. Thanks for the quick replies!
Comment 5 Christopher Aillon 2007-04-28 18:37:16 EDT
Hm... I can't find anything weird yet in that.  Does moving your ~/.mozilla out
of the way before running it help?
Comment 6 Harry Bock 2007-05-03 11:49:29 EDT
Well, strangely enough, after installing Thunderbird, the problem went away.  It
works just fine after that; when it wasn't loading, moving .mozilla out of the
way didn't help. 
Comment 7 Christopher Aillon 2007-05-03 12:06:37 EDT
Really!  Does uninstalling thunderbird allow it to work?

Note You need to log in before you can comment on or make changes to this bug.